import { ChangeDetectionStrategy, Component, Input } from '@angular/core';

@Component({
  selector: 'svg-brand',
  template: `
    <svg
      width="200"
      height="48.46087703136001"
      viewBox="0 0 200 48.46087703136001"
      class="logo"
    >
      <defs>
        <linearGradient [id]="id">
          <ng-container *ngIf="!isHovered; else gradientIfHovered">
            <stop stop-color="#8f5e25" offset="0"></stop>
            <stop stop-color="#fbf4a1" offset="0.5"></stop>
            <stop stop-color="#8f5e25" offset="1"></stop>
          </ng-container>
          <ng-template #gradientIfHovered>
            <stop stop-color="#8f5e25" offset="0"></stop>
            <stop stop-color="#fbf4a1" offset="0.5"></stop>
            <stop stop-color="#ffffff" offset="1"></stop>
          </ng-template>
        </linearGradient>
      </defs>
      <g
        featurekey="nameFeature-0"
        transform="matrix(1.3684248331021165,0,0,1.3684248331021165,-2.190230648155959,-16.419699003331694)"
        [attr.fill]="'url(#' + id + ')'"
        fill="url(#logo-svg)"
      >
        <path
          d="M23.698 31.9008 c0 0.00054688 0 0.0010938 0.00054688 0.0016406 l0 5.9014 c0 1.2128 -0.98328 2.196 -2.196 2.196 s-2.196 -0.98328 -2.196 -2.196 l0 -4.9925 l-13.314 -13.314 l0 18.306 c0 1.2128 -0.98328 2.196 -2.196 2.196 s-2.196 -0.98328 -2.196 -2.196 l0 -23.608 c0 -0.88832 0.535 -1.6891 1.3555 -2.0289 c0.82104 -0.33957 1.7654 -0.15207 2.3932 0.476 l7.3 7.3 l7.3 -7.3 c0.6278 -0.62808 1.5726 -0.8164 2.3932 -0.476 c0.82052 0.33984 1.3555 1.1406 1.3555 2.0289 l0 17.705 z M15.755 23.049 l3.5513 3.551 l0 -7.1024 z M44.105999999999995 19.412 c1.2128 0 2.1962 0.98328 2.1962 2.196 l0 15.338 c0 5.7668 -4.692 10.459 -10.459 10.459 c-1.2128 0 -2.196 -0.98328 -2.196 -2.196 s0.98328 -2.196 2.196 -2.196 c2.9375 0 5.3936 -2.0992 5.9484 -4.876 c-1.6902 1.1732 -3.7399 1.8634 -5.9488 1.8634 c-5.7668 0 -10.459 -4.692 -10.459 -10.459 l0 -7.9333 c0 -1.2128 0.98328 -2.196 2.196 -2.196 s2.196 0.98328 2.196 2.196 l0 7.9333 c0 3.3452 2.7215 6.0668 6.0668 6.0668 s6.0668 -2.7215 6.0668 -6.0668 l0 -7.9333 c0 -1.2128 0.98328 -2.196 2.196 -2.196 z M59.607 12 c5.1164 0 9.2784 4.1624 9.2784 9.2784 s-4.162 9.2784 -9.2784 9.2784 l-7.2468 0 l0 7.247 c0 1.2128 -0.98328 2.196 -2.196 2.196 s-2.196 -0.98328 -2.196 -2.196 l0 -9.4431 c0 -1.2128 0.98328 -2.196 2.196 -2.196 l9.4428 0 c2.6943 0 4.8864 -2.192 4.8864 -4.8864 s-2.1922 -4.8864 -4.8864 -4.8864 l-4.1412 0 l4.5136 4.5136 c0.85756 0.85756 0.85756 2.248 0 3.1056 c-0.85784 0.85784 -2.248 0.85784 -3.1058 0 l-8.2628 -8.2628 c-0.62808 -0.62808 -0.81584 -1.5726 -0.47576 -2.3932 s1.1408 -1.3555 2.0289 -1.3555 l9.4428 0 z M86.944 19.412 c1.2128 0 2.196 0.98328 2.196 2.196 l0 16.196 c0 1.2128 -0.98328 2.196 -2.196 2.196 c-1.1071 0 -2.0201 -0.81968 -2.1716 -1.885 c-1.677 1.1856 -3.721 1.885 -5.9264 1.885 c-5.6764 0 -10.294 -4.6176 -10.294 -10.294 s4.6176 -10.294 10.294 -10.294 c2.2054 0 4.2492 0.69944 5.9264 1.885 c0.15152 -1.0654 1.0645 -1.885 2.1716 -1.885 z M78.846 35.608 c3.2543 0 5.902 -2.6476 5.902 -5.902 s-2.6476 -5.902 -5.902 -5.902 s-5.902 2.6476 -5.902 5.902 s2.6476 5.902 5.902 5.902 z M101.083 19.412 c5.6612 0 10.266 4.6056 10.266 10.267 s-4.6056 10.267 -10.267 10.267 c-2.1837 0 -4.2088 -0.68764 -5.8744 -1.8543 l0 7.1249 c0 1.2128 -0.98328 2.196 -2.196 2.196 s-2.196 -0.98328 -2.196 -2.196 l0 -23.608 c0 -1.2128 0.98328 -2.196 2.196 -2.196 c1.1027 0 2.013 0.81364 2.1697 1.873 c1.6709 -1.1782 3.7059 -1.873 5.9012 -1.873 z M101.083 35.5528 c3.2392 0 5.8744 -2.6353 5.8744 -5.8744 s-2.6353 -5.8744 -5.8744 -5.8744 s-5.8744 2.6353 -5.8744 5.8744 s2.6353 5.8744 5.8744 5.8744 z M123.294 19.412 c5.6764 0 10.294 4.6176 10.294 10.294 c0 1.2128 -0.98328 2.196 -2.196 2.196 l-13.576 0 c0.87292 2.17 2.9995 3.7059 5.4784 3.7059 c1.5765 0 3.0586 -0.6138 4.1732 -1.7286 c0.85784 -0.85756 2.248 -0.85732 3.1058 0 c0.85784 0.85784 0.85756 2.2482 0 3.1058 c-1.9446 1.9443 -4.5296 3.0149 -7.2792 3.0149 c-5.6764 0 -10.294 -4.6176 -10.294 -10.294 s4.6176 -10.294 10.294 -10.294 z M117.81559999999999 27.509999999999998 l10.957 0 c-0.87292 -2.17 -2.9995 -3.7059 -5.4784 -3.7059 s-4.6056 1.5359 -5.4784 3.7059 z M145.558 19.412 c1.2128 0 2.196 0.98328 2.196 2.196 s-0.98328 2.196 -2.196 2.196 c-3.2543 0 -5.902 2.6476 -5.902 5.902 l0 8.098 c0 1.2128 -0.98328 2.196 -2.196 2.196 s-2.196 -0.98328 -2.196 -2.196 l0 -16.196 c0 -1.2128 0.98328 -2.196 2.196 -2.196 c1.1071 0 2.0201 0.81996 2.1716 1.885 c1.677 -1.1856 3.721 -1.885 5.9264 -1.885 z"
        ></path>
      </g>
    </svg>
  `,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SvgBrandLogoComponent {
  id: string = `svg-brand-${Math.random()}`;
  @Input() isHovered: boolean = false;
}
